#### D.4.31.2 normalI

Procedure from library `reesclos.lib` (see reesclos_lib).

Usage:
  normalI (I [,p [,r [,l]]]); I an ideal, p, r, and l optional integers

Return:
  the integral closure of I, ..., I^p, where I is an ideal in the polynomial ring R=k[x(1),...x(n)]. If p is not given, or p==0, compute the closure of all powers up to the maximum degree in t occurring in the closure of R[It] (so this is the last power whose closure is not just the sum/product of the smaller). If r is given and r==1, normalI starts with a check whether I is already a radical ideal.
  If l==1 then locNormal instead of normal is used to compute normalization. The result is a list containing the closure of the desired powers of I as ideals of the basering.

Display:
  The procedure displays more comments for higher printlevel.

Example:

    LIB "reesclos.lib";
    ring R=0,(x,y),dp;
    ideal I = x2,xy4,y5;
    list J = normalI(I);
    I;
    ==> I[1]=x2
    ==> I[2]=xy4
    ==> I[3]=y5
    J;                             // J[1] is the integral closure of I
    ==> [1]:
    ==>    _[1]=x2
    ==>    _[2]=xy4
    ==>    _[3]=y5
    ==>    _[4]=xy3

User manual for Singular version 4.4.1, 2025, generated by texi2html.